### Function

# Gio IOExtensionPoint lookup

#### Declaration [src]

    GIOExtensionPoint*
    g_io_extension_point_lookup (
      const char* name
    )

#### Description [src]

Looks up an existing extension point.

#### Parameters

`name`

  Type: `const char*`

  The name of the extension point.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GIOExtensionPoint`

The `GIOExtensionPoint`, or `NULL` if there is no registered extension point with the given name.

The data is owned by the called function.